import { RequestInit } from 'node-fetch';
export declare class HttpClient {
    baseUrl: string;
    constructor(baseUrl: string);
    get<TResult>(url: string, options?: RequestInit): Promise<TResult>;
    post<TPayload, TResult>(url: string, data?: TPayload, options?: RequestInit): Promise<TResult>;
    put<TResult>(url: string, data: TResult, options?: RequestInit): Promise<TResult>;
    delete<TResult>(url: string, options?: RequestInit): Promise<TResult>;
    private buildUrl;
    private buildHeaders;
    private tryParseStringtoJson;
}
